Bug 41857 - /etc/mail/sendmail.mc should document MAILER(local)
Summary: /etc/mail/sendmail.mc should document MAILER(local)
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sendmail (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-22 16:34 UTC by Dan Anderson
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-22 16:34:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dan Anderson 2001-05-22 16:34:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.3 i586)

Description of problem:
/etc/mail/sendmail.mc should document MAILER(local). E.g.     
dnl Uncomment if you want to send/receive mail locally:     
dnl MAILER(local)dnl 

How reproducible:
Always

Steps to Reproduce:
1.In file /etc/mail/sendmail.mc, comment out this line with "dnl":   dnl
DAEMON_OPTIONS(`Port=smtp,Addr=127.0.0.1, Name=MTA')      
This enables sending/receiving email externally      
2. Restart sendmail: /etc/init.d/sendmail restart     
3. Send an email message from somewhere else here.   

Actual Results:  In file /var/log/maillog/ you get this:     
Apr 27 09:14:09 dan sendmail[32146]: NOQUEUE: SYSERR(root): No local mailer
defined: Inappropriate ioctl for device

No email delivered

Expected Results:  No error in /var/log/maillog/ and the email delivered

Additional info:

Upgrading from earlier versions of RedHat (at least 6.x) will be a major
pain for people who have sendmail enabled as an external mail server.  One
should document that the MAILER(local) line is needed.     
I didn't see it anywhere, but if it's in /etc/mail/sendmail.mc, it will
give many people a chance at success at upgrading.     
     
How about also putting it in your "gottchas" web page?

Comment 1 Florian La Roche 2001-07-06 08:04:31 UTC
The local mailer is added fine with the default sendmail.mc file, so maybe
you haven't upgraded sendmail-cf rpm or your /etc/mail/sendmail.mc did
contain further changes?

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.